Pular para o conteúdo

/api/v1/analytics/periodic-responder-credit-usage

GET
/api/v1/analytics/periodic-responder-credit-usage
curl --request GET \
--url 'https://api.endless.zaia.app/api/v1/analytics/periodic-responder-credit-usage?granularity=hourly'

Retrieves periodic responder credit usage analytics.

granularity
required

The granularity of the analytics period.

string
Allowed values: hourly daily weekly monthly

The granularity of the analytics period.

rangeEnd

The end date of the analytics period.

string format: date-time
nullable

The end date of the analytics period.

rangeStart

The start date of the analytics period.

string format: date-time
nullable

The start date of the analytics period.

Responder credit usage analytics retrieved successfully.

Media typeapplication/json
Array<object>
object
credits
required
number
periodEnd
required
string format: date-time
periodStart
required
string format: date-time
responderEntity
required
string
Allowed values: agents squads
responderId
required
string
responderName
required
string
responderPicture
required
string
nullable
Example
[
{
"responderEntity": "agents"
}
]

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}